﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.50.0/conan-win-32.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.50.0/conan-win-64.exe'
$checksum32  = 'b28d74bb600a50754f8a02312eff087bc75004e2395a96771435152d71465051'
$checksum64  = 'da8a5df0f6fc9d542acd9b93f8f31a084a398ee6ac7ddcfb46ffe8754cceaa13'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
